#ifndef lint
static char SCCSid[] = "@(#) ./dgraph/dgraph.c 12/01/93";
#endif

/*
    This file contains a simple multi-device graphics interface.
    The intent is to allow both dynamic (via X Windows) and more
    static (post-processing graphics packages).  This is intended to
    be a simple version, currently to allow the communication test
    programs to optionally draw to a display or produce C.It output
 */

#include "tools.h"
#include "dgraph/dgraph.h"

/* Common routines */

/* Here is a simple interface that uses command lines to return an
   appropriate graphics context */
/*
    -grx11   - Use x11 version
    -grfname - file output name
    -grcolor - use color
 */   
GRctx *GRCreateFromArgs( Argc, argv )
int  *Argc;
char **argv;
{
GRctx *new;	
int   px, py, pw, ph;
char  *fname, fnamedata[1024];
int   fname_size = 1024;
int   is_color;

new = 0;
#ifndef TOOLSNOX11
/* Look for x11 args */
if (SYArgHasName( Argc, argv, 1, "-grx11" )) {
    px = py = -1;
    pw = ph = 400;
    XBGetArgs( Argc, argv, 1, &px, &py, &pw, &ph );
    new = GRXCreate( (char *)0, "grgraph", pw, ph, px, py );
    }
else 
#endif
    {
    fname = fnamedata;
    if (!SYArgGetString( Argc, argv, 1, "-grfname", fname, fname_size ))
	fname = 0;
    is_color = SYArgHasName( Argc, argv, 1, "-grcolor" );
    new = GRCitCreate( fname, is_color );
    }

return new;
}

/* Need to add rectangle/text operations in linegraph structure */

